SpecializationUtil.registerSpecialization("loadFromTrailer", "loadFromTrailer", g_currentModDirectory.."loadFromTrailer.lua")

LFT_Register = {};

function LFT_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		--print("--- loading ESLimiter - specialization for ESLimiter + OperatingHours by Manuel Leithner (SFM-Modding)");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("shovel") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.loadFromTrailer", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then							
							table.insert(v.specializations, SpecializationUtil.getSpecialization("loadFromTrailer"));
						end;
						
						-- vs.ESL_DEACTIVATED = g_i18n:getText("ESLimiter_deactivated");
						-- vs.ESL_LEVEL = g_i18n:getText("ESLimiter_level");
						-- vs.ESL_CONTROLS = g_i18n:getText("ESLimiter_controls");
					end;
				end;
			end;	
		end;
	end;
end;

function LFT_Register:deleteMap()
  
end;

function LFT_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function LFT_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function LFT_Register:update(dt)
	
end;

function LFT_Register:draw()
  
end;

addModEventListener(LFT_Register);